On 6/8/21 10:19 AM, Darrick J. Wong wrote:
From: Darrick J. Wong <djwong@xxxxxxxxxx>
Move the "exit $status" clause of the _cleanup function into the
argument to the "trap" command so that we can standardize the
registration of the atexit cleanup code in the next few patches.
Signed-off-by: Darrick J. Wong <djwong@xxxxxxxxxx>
Ok, looks ok
Reviewed-by: Allison Henderson <allison.henderson@xxxxxxxxxx>
---
tests/generic/068 | 3 +--
tests/xfs/004 | 3 +--
2 files changed, 2 insertions(+), 4 deletions(-)
diff --git a/tests/generic/068 b/tests/generic/068
index 932a8560..573fbd45 100755
--- a/tests/generic/068
+++ b/tests/generic/068
@@ -22,10 +22,9 @@ _cleanup()
cd /
trap 0 1 2 3 15
- exit $status
}
-trap "_cleanup" 0 1 2 3 15
+trap "_cleanup; exit \$status" 0 1 2 3 15
# get standard environment, filters and checks
. ./common/rc
diff --git a/tests/xfs/004 b/tests/xfs/004
index d3fb9c95..4d92a08e 100755
--- a/tests/xfs/004
+++ b/tests/xfs/004
@@ -18,9 +18,8 @@ _cleanup()
{
_scratch_unmount
rm -f $tmp.*
- exit $status
}
-trap "_cleanup" 0 1 2 3 15
+trap "_cleanup; exit \$status" 0 1 2 3 15
_populate_scratch()
{